  public class Summary: INotifyPropertyChanged
    {
        
        private string _division;
        private string _zone;
        private string _region;
        private string _hq;
        
        private decimal _svalue;
       ;
        private decimal _target;
        private decimal _qty;
       
        public event PropertyChangedEventHandler PropertyChanged;

        void OnPropertyChanged([CallerMemberName] string propertyName = "") =>
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));

        [DataMember]
        public string Division
        {
            get
            {
                return _division;
            }
            set
            {
                _division = value;
                OnPropertyChanged();
            }
        }

        [DataMember]
        public string Zone
        {
            get
            {
                return _zone;
            }
            set
            {
                _zone = value;
                OnPropertyChanged();
            }
        }

        [DataMember]
        public string Region
        {
            get
            {
                return _region;
            }
            set
            {
                _region = value;
                OnPropertyChanged();
            }
        }
        [DataMember]
        public string Territory
        {
            get
            {
                return _hq;
            }
            set
            {
                _hq = value;
                OnPropertyChanged();
            }
        }

        [DataMember]
        public decimal Target_CurrYear
        {

            get
            {
                return _target;
            }
            set
            {
                _target = value;
                OnPropertyChanged();
            }

        }


        [DataMember]
        public decimal GrossSales_CurrYear
        {
            get
            {
                return _svalue;
            }
            set
            {
                _svalue = value;
                OnPropertyChanged();
            }
        }

       


        [DataMember]
        public decimal Growth
        {
            get
            {
                return Math.Round( _growth,0);
            }
            set
            {
                _growth = value;
                OnPropertyChanged();
            }
        }

        public long AchievementPCT
        {
            get
            {
                return Convert.ToInt64(System.Math.Round((_netsales/_target)*100,0)) ;
            }
        }

        public string FreeOfferPCT
        {
            get
            {
                if (_svalue == 0)
                {
                    return "0"+"%";
                }
                else
                {
                    return Convert.ToString(System.Math.Round((_fovalue / _svalue) * 100, 0)) + "%";
                }
            }
        }

    }
}
